package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * CreateDigitMapProfileEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CreateDigitMapProfileEntity   {
  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("digitMap")
  private String digitMap;

  public CreateDigitMapProfileEntity profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Digit map profile name
   * @return profileName
  */
  @ApiModelProperty(required = true, value = "Digit map profile name")
  @NotNull

@Pattern(regexp="^[^ ]$|^[^ ].{0,62}[^ ]$") 
  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public CreateDigitMapProfileEntity digitMap(String digitMap) {
    this.digitMap = digitMap;
    return this;
  }

  /**
   * Digit map
   * @return digitMap
  */
  @ApiModelProperty(required = true, value = "Digit map")
  @NotNull


  public String getDigitMap() {
    return digitMap;
  }

  public void setDigitMap(String digitMap) {
    this.digitMap = digitMap;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateDigitMapProfileEntity createDigitMapProfileEntity = (CreateDigitMapProfileEntity) o;
    return Objects.equals(this.profileName, createDigitMapProfileEntity.profileName) &&
        Objects.equals(this.digitMap, createDigitMapProfileEntity.digitMap);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileName, digitMap);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateDigitMapProfileEntity {\n");
    
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    digitMap: ").append(toIndentedString(digitMap)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

